# request-adapter.properties
# WARNING: defaults loaded from resource classpath:/defaults.properties

# override(s)
default.environment=debug
default.environment_dtp=debug
default.environment_sqs=dev
#default.home_folder=/Users/roberto/Development/SIAE-SOPHIA/res/sophia-performing
default.home_folder=C:/temp
#default.home_folder=/var/local/sophia/${default.environment_dtp}/performing/codifica
#default.home_folder=/home/sualkemy/performing
#log4j.configuration=${default.home_folder}/sophia-performing-log4j2.xml
#aws.credentials=${default.home_folder}/AwsCredentials.properties


ingestion_ucmr_ada.bind_port=17171

ingestion_ucmr_ada.working_directory=${default.home_folder}/data/

ingestion_ucmr_ada.sqs.sender_name=ingestion_ucmr_ada
ingestion_ucmr_ada.sqs.service_bus_queue=${default.environment_sqs}_service_bus
ingestion_ucmr_ada.sqs.to_process_queue=${default.environment_sqs}_to_process_kb_ingestion_ucmr_ada
ingestion_ucmr_ada.sqs.started_queue=${default.environment_sqs}_started_kb_ingestion_ucmr_ada
ingestion_ucmr_ada.sqs.completed_queue=${default.environment_sqs}_completed_kb_ingestion_ucmr_ada
ingestion_ucmr_ada.sqs.failed_queue=${default.environment_sqs}_failed_kb_ingestion_ucmr_ada

ingestion_ucmr_ada.kb_s3_bucket_name=siae-sophia-datalake
ingestion_ucmr_ada.kb_s3_key_regex=${default.environment_dtp}\\/mm_kb\\/([0-9]{4}_[0-9]{2}_[0-9]{2}_[0-9]{2}_[0-9]{2})\\/\\1_export_mm_kb_[0-9]{3}\\.json\\.gz
ingestion_ucmr_ada.kb_s3_base_path=s3://${ingestion_ucmr_ada.kb_s3_bucket_name}/${default.environment_dtp}/mm_kb/
ingestion_ucmr_ada.kb_s3_file_regex=^[0-9]{4}_[0-9]{2}_[0-9]{2}_[0-9]{2}_[0-9]{2}_export_mm_kb_[0-9]{3}\\.json\\.gz$

ingestion_ucmr_ada.metadata.s3_path=s3://siae-sophia-datalake/ucmr-ada/repertoire/ftp/_LATEST



ingestion_ucmr_ada.roles_mapping_cisac=\
{\
    "A": "artist_author",\
    "AD": "artist_author",\
    "SA": "artist_author",\
    "TR": "artist_author",\
    "AR": "artist_author",\
    "CA": "artist_composer",\
    "C": "artist_composer"\
}



support_nosql_db.heartbeat=100000
support_nosql_db.home_folder=D:\\kb.nosql
support_nosql_db.page_size=32Mb
support_nosql_db.cache_size=1K
support_nosql_db.trie_class_name=com.alkemytech.sophia.commons.trie.ConcurrentTrieHashMap
support_nosql_db.create_always=true
support_nosql_db.read_only=false
support_nosql_db.delete_when_done=true

nosql_document_store.page_size=32Mb
nosql_document_store.cache_size=8K
nosql_document_store.read_only=false

cod_opera_kb_index.home_folder=${ingestion_ucmr_ada.working_directory}/cod_opera_umcr_ada_kb.index
cod_opera_kb_index.read_only=false
cod_opera_kb_index.page_size=32Mb
cod_opera_kb_index.approximate_match=false
